# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#    This file is part of the KDE libraries
#    Copyright (C) 1997 Martin Jones (mjones@kde.org)
#              (C) 1997 Torben Weis (weis@kde.org)

#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Library General Public
#    License as published by the Free Software Foundation; either
#    version 2 of the License, or (at your option) any later version.

#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Library General Public License for more details.

#    You should have received a copy of the GNU Library General Public License
#    along with this library; see the file COPYING.LIB.  If not, write to
#    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
#    Boston, MA 02111-1307, USA.

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DOJAVA_FALSE = @DOJAVA_FALSE@
DOJAVA_TRUE = @DOJAVA_TRUE@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DO_WE_HAVE_SSL = @DO_WE_HAVE_SSL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
EXTRA_SUBDIRS = @EXTRA_SUBDIRS@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
HAVE_MITSHM = @HAVE_MITSHM@
HELP_SUBDIR = @HELP_SUBDIR@
ICE_RLIB = @ICE_RLIB@
ICE_SUBDIR = @ICE_SUBDIR@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_FORCE_INLINE = @KDE_FORCE_INLINE@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KJAVA_POLICYPATH = @KJAVA_POLICYPATH@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBADD_DL = @LIBADD_DL@
LIBART_CFLAGS = @LIBART_CFLAGS@
LIBART_LIBS = @LIBART_LIBS@
LIBART_RPATH = @LIBART_RPATH@
LIBASOUND = @LIBASOUND@
LIBBZ2 = @LIBBZ2@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBFAM = @LIBFAM@
LIBICE = @LIBICE@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPCRE = @LIBPCRE@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBVOLMGT = @LIBVOLMGT@
LIBXINERAMA = @LIBXINERAMA@
LIBXML_CFLAGS = @LIBXML_CFLAGS@
LIBXML_LIBS = @LIBXML_LIBS@
LIBXML_RPATH = @LIBXML_RPATH@
LIBXSLT_CFLAGS = @LIBXSLT_CFLAGS@
LIBXSLT_LIBS = @LIBXSLT_LIBS@
LIBXSLT_RPATH = @LIBXSLT_RPATH@
LIBZ = @LIBZ@
LIB_CUPS = @LIB_CUPS@
LIB_DMALLOC = @LIB_DMALLOC@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MEINPROC_DEP = @MEINPROC_DEP@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PCRECFLAGS = @PCRECFLAGS@
PCSC_INCLUDES = @PCSC_INCLUDES@
PCSC_LDFLAGS = @PCSC_LDFLAGS@
QNAMESPACE_H = @QNAMESPACE_H@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMARTCARDDIR = @SMARTCARDDIR@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
arts_SUBDIR_included_FALSE = @arts_SUBDIR_included_FALSE@
arts_SUBDIR_included_TRUE = @arts_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
cups_modeldir = @cups_modeldir@
datadir = @datadir@
dcop_SUBDIR_included_FALSE = @dcop_SUBDIR_included_FALSE@
dcop_SUBDIR_included_TRUE = @dcop_SUBDIR_included_TRUE@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_LDAP_FALSE = @include_LDAP_FALSE@
include_LDAP_TRUE = @include_LDAP_TRUE@
include_SVGICONS_FALSE = @include_SVGICONS_FALSE@
include_SVGICONS_TRUE = @include_SVGICONS_TRUE@
include_TIFF_MODULES_FALSE = @include_TIFF_MODULES_FALSE@
include_TIFF_MODULES_TRUE = @include_TIFF_MODULES_TRUE@
include_bzip2_FALSE = @include_bzip2_FALSE@
include_bzip2_TRUE = @include_bzip2_TRUE@
include_cups_SUBDIR_FALSE = @include_cups_SUBDIR_FALSE@
include_cups_SUBDIR_TRUE = @include_cups_SUBDIR_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
interfaces_SUBDIR_included_FALSE = @interfaces_SUBDIR_included_FALSE@
interfaces_SUBDIR_included_TRUE = @interfaces_SUBDIR_included_TRUE@
kab_SUBDIR_included_FALSE = @kab_SUBDIR_included_FALSE@
kab_SUBDIR_included_TRUE = @kab_SUBDIR_included_TRUE@
kabc_SUBDIR_included_FALSE = @kabc_SUBDIR_included_FALSE@
kabc_SUBDIR_included_TRUE = @kabc_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcert_SUBDIR_included_FALSE = @kcert_SUBDIR_included_FALSE@
kcert_SUBDIR_included_TRUE = @kcert_SUBDIR_included_TRUE@
kconf_update_SUBDIR_included_FALSE = @kconf_update_SUBDIR_included_FALSE@
kconf_update_SUBDIR_included_TRUE = @kconf_update_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdecore_SUBDIR_included_FALSE = @kdecore_SUBDIR_included_FALSE@
kdecore_SUBDIR_included_TRUE = @kdecore_SUBDIR_included_TRUE@
kded_SUBDIR_included_FALSE = @kded_SUBDIR_included_FALSE@
kded_SUBDIR_included_TRUE = @kded_SUBDIR_included_TRUE@
kdefx_SUBDIR_included_FALSE = @kdefx_SUBDIR_included_FALSE@
kdefx_SUBDIR_included_TRUE = @kdefx_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdeui_SUBDIR_included_FALSE = @kdeui_SUBDIR_included_FALSE@
kdeui_SUBDIR_included_TRUE = @kdeui_SUBDIR_included_TRUE@
kdewidgets_SUBDIR_included_FALSE = @kdewidgets_SUBDIR_included_FALSE@
kdewidgets_SUBDIR_included_TRUE = @kdewidgets_SUBDIR_included_TRUE@
kdoctools_SUBDIR_included_FALSE = @kdoctools_SUBDIR_included_FALSE@
kdoctools_SUBDIR_included_TRUE = @kdoctools_SUBDIR_included_TRUE@
khtml_SUBDIR_included_FALSE = @khtml_SUBDIR_included_FALSE@
khtml_SUBDIR_included_TRUE = @khtml_SUBDIR_included_TRUE@
kimgio_SUBDIR_included_FALSE = @kimgio_SUBDIR_included_FALSE@
kimgio_SUBDIR_included_TRUE = @kimgio_SUBDIR_included_TRUE@
kinit_SUBDIR_included_FALSE = @kinit_SUBDIR_included_FALSE@
kinit_SUBDIR_included_TRUE = @kinit_SUBDIR_included_TRUE@
kio_SUBDIR_included_FALSE = @kio_SUBDIR_included_FALSE@
kio_SUBDIR_included_TRUE = @kio_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
kjs_SUBDIR_included_FALSE = @kjs_SUBDIR_included_FALSE@
kjs_SUBDIR_included_TRUE = @kjs_SUBDIR_included_TRUE@
kparts_SUBDIR_included_FALSE = @kparts_SUBDIR_included_FALSE@
kparts_SUBDIR_included_TRUE = @kparts_SUBDIR_included_TRUE@
ksmartcard_SUBDIR_included_FALSE = @ksmartcard_SUBDIR_included_FALSE@
ksmartcard_SUBDIR_included_TRUE = @ksmartcard_SUBDIR_included_TRUE@
kspell_SUBDIR_included_FALSE = @kspell_SUBDIR_included_FALSE@
kspell_SUBDIR_included_TRUE = @kspell_SUBDIR_included_TRUE@
kstyles_SUBDIR_included_FALSE = @kstyles_SUBDIR_included_FALSE@
kstyles_SUBDIR_included_TRUE = @kstyles_SUBDIR_included_TRUE@
kutils_SUBDIR_included_FALSE = @kutils_SUBDIR_included_FALSE@
kutils_SUBDIR_included_TRUE = @kutils_SUBDIR_included_TRUE@
kwallet_SUBDIR_included_FALSE = @kwallet_SUBDIR_included_FALSE@
kwallet_SUBDIR_included_TRUE = @kwallet_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkmid_SUBDIR_included_FALSE = @libkmid_SUBDIR_included_FALSE@
libkmid_SUBDIR_included_TRUE = @libkmid_SUBDIR_included_TRUE@
libkscreensaver_SUBDIR_included_FALSE = @libkscreensaver_SUBDIR_included_FALSE@
libkscreensaver_SUBDIR_included_TRUE = @libkscreensaver_SUBDIR_included_TRUE@
libltdl_SUBDIR_included_FALSE = @libltdl_SUBDIR_included_FALSE@
libltdl_SUBDIR_included_TRUE = @libltdl_SUBDIR_included_TRUE@
licenses_SUBDIR_included_FALSE = @licenses_SUBDIR_included_FALSE@
licenses_SUBDIR_included_TRUE = @licenses_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimetypes_SUBDIR_included_FALSE = @mimetypes_SUBDIR_included_FALSE@
mimetypes_SUBDIR_included_TRUE = @mimetypes_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
path_su = @path_su@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@

KDE_CXXFLAGS = $(WOVERLOADED_VIRTUAL)

@DOJAVA_TRUE@JAVA_SUBDIR = java
@DOJAVA_TRUE@LIBKJAVA = ./java/libkjava.la

SUBDIRS = misc dom css xml html rendering pics $(JAVA_SUBDIR) ecma . kmultipart

lib_LTLIBRARIES = libkhtml.la
kde_module_LTLIBRARIES = khtmlimagepart.la

#>- libkhtml_la_SOURCES = khtmlview.cpp khtml_part.cpp khtml_run.cpp khtml_factory.cpp khtml_settings.cc \
#>- 		      khtml_events.cpp khtml_ext.cpp khtml_pagecache.cpp khtml_iface.skel khtml_iface.cc \
#>- 		      khtml_printsettings.cpp htmlpageinfo.ui
#>+ 3
libkhtml_la_SOURCES=khtmlview.cpp khtml_part.cpp khtml_run.cpp khtml_factory.cpp khtml_settings.cc \
		      khtml_events.cpp khtml_ext.cpp khtml_pagecache.cpp  khtml_iface.cc \
		      khtml_printsettings.cpp  khtml_iface_skel.cc htmlpageinfo.cc


#>- libkhtml_la_METASOURCES = AUTO

include_HEADERS = khtmlview.h khtml_part.h khtml_events.h khtml_settings.h khtmldefaults.h

noinst_HEADERS = design.h testkhtml.h testrender.h test_regression.h khtml_ext.h \
		 khtml_pagecache.h khtmlimage.h khtmlpart_p.h khtml_printsettings.h


libkhtml_la_LDFLAGS = -version-info 5:0:1 -module -no-undefined $(all_libraries)
libkhtml_la_LIBADD = ./xml/libkhtmlxml.la ./html/libkhtmlhtml.la \
	./rendering/libkhtmlrender.la ./css/libkhtmlcss.la \
	./misc/libkhtmlmisc.la ecma/libkjs_html.la ./dom/libkhtmldom.la $(LIBKJAVA) \
	$(LIB_KIO) \
	$(LIB_KPARTS) \
	$(top_builddir)/kdeprint/libkdeprint.la  \
	$(top_builddir)/kutils/libkutils.la 


khtmlimagepart_la_SOURCES = khtmlimage.cpp
khtmlimagepart_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)
khtmlimagepart_la_LIBADD = libkhtml.la

INCLUDES = -I$(top_srcdir)/kjs -I$(top_srcdir)/kimgio \
	-I$(srcdir)/java -I$(top_srcdir)/dcop -I$(srcdir)/misc \
	-I$(srcdir)/dom -I$(srcdir)/xml -I$(srcdir)/html -I$(srcdir)/css \
	-I$(top_srcdir)/libltdl \
	-I$(top_srcdir)/kio/kssl -I$(top_builddir)/kio/kssl \
	-I$(top_srcdir)/kdeprint \
	-I$(top_srcdir)/interfaces \
	-I$(top_srcdir)/interfaces/kregexpeditor \
	-I$(top_srcdir) $(all_includes)


servicedir = $(kde_servicesdir)
service_DATA = khtml.desktop khtmlimage.desktop

rcdir = $(kde_datadir)/khtml
rc_DATA = khtml.rc khtml_browser.rc khtml_popupmenu.rc

SRCDOC_DEST = $(kde_htmldir)/en/kdelibs/khtml

EXTRA_DIST = CHANGES DESIGN README.HTMLWidget README.tags 

check_PROGRAMS = testkhtml
EXTRA_PROGRAMS = testcss testrender testkhtml_static test_regression
testkhtml_SOURCES = testkhtml.cpp domtreeview.cpp
testkhtml_LDADD = libkhtml.la 
testkhtml_static_SOURCES = testkhtml.cpp domtreeview.cpp 
testkhtml_static_LDADD = libkhtml.la
testkhtml_static_LDFLAGS = -static
testcss_SOURCES = testcss.cpp
testcss_LDADD = libkhtml.la
testrender_SOURCES = testrender.cpp
testrender_LDADD = libkhtml.la
test_regression_SOURCES = test_regression.cpp
test_regression_LDADD = libkhtml.la $(top_builddir)/kjs/libkjs.la

DOXYGEN_REFERENCES = kdecore kdeui kio kdefx kparts
DOXYGEN_EXCLUDE = test*.*
subdir = khtml
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(kde_module_LTLIBRARIES) $(lib_LTLIBRARIES)

khtmlimagepart_la_DEPENDENCIES = libkhtml.la
am_khtmlimagepart_la_OBJECTS = khtmlimage.lo
#>- khtmlimagepart_la_OBJECTS = $(am_khtmlimagepart_la_OBJECTS)
#>+ 1
khtmlimagepart_la_OBJECTS = khtmlimage.lo
@DOJAVA_TRUE@libkhtml_la_DEPENDENCIES = ./xml/libkhtmlxml.la \
@DOJAVA_TRUE@	./html/libkhtmlhtml.la \
@DOJAVA_TRUE@	./rendering/libkhtmlrender.la ./css/libkhtmlcss.la \
@DOJAVA_TRUE@	./misc/libkhtmlmisc.la ecma/libkjs_html.la \
@DOJAVA_TRUE@	./dom/libkhtmldom.la ./java/libkjava.la \
@DOJAVA_TRUE@	$(top_builddir)/kdeprint/libkdeprint.la \
@DOJAVA_TRUE@	$(top_builddir)/kutils/libkutils.la
@DOJAVA_FALSE@libkhtml_la_DEPENDENCIES = ./xml/libkhtmlxml.la \
@DOJAVA_FALSE@	./html/libkhtmlhtml.la \
@DOJAVA_FALSE@	./rendering/libkhtmlrender.la \
@DOJAVA_FALSE@	./css/libkhtmlcss.la ./misc/libkhtmlmisc.la \
@DOJAVA_FALSE@	ecma/libkjs_html.la ./dom/libkhtmldom.la \
@DOJAVA_FALSE@	$(top_builddir)/kdeprint/libkdeprint.la \
@DOJAVA_FALSE@	$(top_builddir)/kutils/libkutils.la
am_libkhtml_la_OBJECTS = khtmlview.lo khtml_part.lo khtml_run.lo \
	khtml_factory.lo khtml_settings.lo khtml_events.lo khtml_ext.lo \
	khtml_pagecache.lo khtml_iface.lo khtml_printsettings.lo
#>- libkhtml_la_OBJECTS = $(am_libkhtml_la_OBJECTS)
#>+ 6
libkhtml_la_final_OBJECTS = libkhtml_la.all_cc.lo libkhtml_la.all_cpp.lo 
libkhtml_la_nofinal_OBJECTS = khtmlview.lo khtml_part.lo khtml_run.lo \
	khtml_factory.lo khtml_settings.lo khtml_events.lo khtml_ext.lo \
	khtml_pagecache.lo khtml_iface.lo khtml_printsettings.lo khtml_iface_skel.lo htmlpageinfo.lo
@KDE_USE_FINAL_FALSE@libkhtml_la_OBJECTS = $(libkhtml_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkhtml_la_OBJECTS = $(libkhtml_la_final_OBJECTS)
EXTRA_PROGRAMS = testcss$(EXEEXT) testrender$(EXEEXT) \
	testkhtml_static$(EXEEXT) test_regression$(EXEEXT)
check_PROGRAMS = testkhtml$(EXEEXT)
am_test_regression_OBJECTS = test_regression.$(OBJEXT)
#>- test_regression_OBJECTS = $(am_test_regression_OBJECTS)
#>+ 1
test_regression_OBJECTS = test_regression.$(OBJEXT)
test_regression_DEPENDENCIES = libkhtml.la $(top_builddir)/kjs/libkjs.la
test_regression_LDFLAGS =
am_testcss_OBJECTS = testcss.$(OBJEXT)
#>- testcss_OBJECTS = $(am_testcss_OBJECTS)
#>+ 1
testcss_OBJECTS = testcss.$(OBJEXT)
testcss_DEPENDENCIES = libkhtml.la
testcss_LDFLAGS =
am_testkhtml_OBJECTS = testkhtml.$(OBJEXT) domtreeview.$(OBJEXT)
#>- testkhtml_OBJECTS = $(am_testkhtml_OBJECTS)
#>+ 4
testkhtml_final_OBJECTS = testkhtml.all_cpp.o 
testkhtml_nofinal_OBJECTS = testkhtml.$(OBJEXT) domtreeview.$(OBJEXT)
@KDE_USE_FINAL_FALSE@testkhtml_OBJECTS = $(testkhtml_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@testkhtml_OBJECTS = $(testkhtml_final_OBJECTS)
testkhtml_DEPENDENCIES = libkhtml.la
testkhtml_LDFLAGS =
am_testkhtml_static_OBJECTS = testkhtml.$(OBJEXT) domtreeview.$(OBJEXT)
#>- testkhtml_static_OBJECTS = $(am_testkhtml_static_OBJECTS)
#>+ 4
testkhtml_static_final_OBJECTS = testkhtml_static.all_cpp.o 
testkhtml_static_nofinal_OBJECTS = testkhtml.$(OBJEXT) domtreeview.$(OBJEXT)
@KDE_USE_FINAL_FALSE@testkhtml_static_OBJECTS = $(testkhtml_static_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@testkhtml_static_OBJECTS = $(testkhtml_static_final_OBJECTS)
testkhtml_static_DEPENDENCIES = libkhtml.la
am_testrender_OBJECTS = testrender.$(OBJEXT)
#>- testrender_OBJECTS = $(am_testrender_OBJECTS)
#>+ 1
testrender_OBJECTS = testrender.$(OBJEXT)
testrender_DEPENDENCIES = libkhtml.la
testrender_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/domtreeview.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_events.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_ext.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_factory.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_iface.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_pagecache.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_part.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_printsettings.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_run.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtml_settings.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtmlimage.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/khtmlview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/test_regression.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testcss.Po ./$(DEPDIR)/testkhtml.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testrender.Po
#>+ 31
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/khtml_iface_skel.P $(DEPDIR)/htmlpageinfo.P  $(DEPDIR)/libkhtml_la.all_cc.P $(DEPDIR)/libkhtml_la.all_cpp.P $(DEPDIR)/testkhtml.all_cpp.P $(DEPDIR)/testkhtml_static.all_cpp.P  ./$(DEPDIR)/domtreeview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_events.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_ext.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_factory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_iface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_pagecache.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_part.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_printsettings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_run.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_settings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtmlimage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/khtmlview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/test_regression.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testcss.Po ./$(DEPDIR)/testkhtml.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testrender.Po
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/khtml_iface_skel.P $(DEPDIR)/htmlpageinfo.P  ./$(DEPDIR)/domtreeview.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_events.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_ext.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_factory.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_iface.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_pagecache.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_part.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_printsettings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_run.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtml_settings.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtmlimage.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/khtmlview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/test_regression.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testcss.Po ./$(DEPDIR)/testkhtml.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testrender.Po

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(khtmlimagepart_la_SOURCES) $(libkhtml_la_SOURCES) \
	$(test_regression_SOURCES) $(testcss_SOURCES) \
	$(testkhtml_SOURCES) $(testkhtml_static_SOURCES) \
	$(testrender_SOURCES)
DATA = $(rc_DATA) $(service_DATA)

HEADERS = $(include_HEADERS) $(noinst_HEADERS)


RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = $(include_HEADERS) $(noinst_HEADERS) \
	$(srcdir)/../admin/Doxyfile.am Makefile.am Makefile.in TODO
DIST_SUBDIRS = misc dom css xml html rendering pics java ecma . \
	kmultipart
SOURCES = $(khtmlimagepart_la_SOURCES) $(libkhtml_la_SOURCES) $(test_regression_SOURCES) $(testcss_SOURCES) $(testkhtml_SOURCES) $(testkhtml_static_SOURCES) $(testrender_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cc .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am $(srcdir)/../admin/Doxyfile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  khtml/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  khtml/Makefile
	cd $(top_srcdir) && perl admin/am_edit khtml/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
kde_moduleLTLIBRARIES_INSTALL = $(INSTALL)
install-kde_moduleLTLIBRARIES: $(kde_module_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f"; \
	    $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f; \
	  else :; fi; \
	done

uninstall-kde_moduleLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p; \
	done

clean-kde_moduleLTLIBRARIES:
	-test -z "$(kde_module_LTLIBRARIES)" || rm -f $(kde_module_LTLIBRARIES)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
#>- khtmlimagepart.la: $(khtmlimagepart_la_OBJECTS) $(khtmlimagepart_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@khtmlimagepart.la: khtmlimagepart.la.closure $(khtmlimagepart_la_OBJECTS) $(khtmlimagepart_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@khtmlimagepart.la: $(khtmlimagepart_la_OBJECTS) $(khtmlimagepart_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kde_moduledir) $(khtmlimagepart_la_LDFLAGS) $(khtmlimagepart_la_OBJECTS) $(khtmlimagepart_la_LIBADD) $(LIBS)
#>- libkhtml.la: $(libkhtml_la_OBJECTS) $(libkhtml_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkhtml.la: libkhtml.la.closure $(libkhtml_la_OBJECTS) $(libkhtml_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkhtml.la: $(libkhtml_la_OBJECTS) $(libkhtml_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(libkhtml_la_LDFLAGS) $(libkhtml_la_OBJECTS) $(libkhtml_la_LIBADD) $(LIBS)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
test_regression$(EXEEXT): $(test_regression_OBJECTS) $(test_regression_DEPENDENCIES) 
	@rm -f test_regression$(EXEEXT)
	$(CXXLINK) $(test_regression_LDFLAGS) $(test_regression_OBJECTS) $(test_regression_LDADD) $(LIBS)
testcss$(EXEEXT): $(testcss_OBJECTS) $(testcss_DEPENDENCIES) 
	@rm -f testcss$(EXEEXT)
	$(CXXLINK) $(testcss_LDFLAGS) $(testcss_OBJECTS) $(testcss_LDADD) $(LIBS)
testkhtml$(EXEEXT): $(testkhtml_OBJECTS) $(testkhtml_DEPENDENCIES) 
	@rm -f testkhtml$(EXEEXT)
	$(CXXLINK) $(testkhtml_LDFLAGS) $(testkhtml_OBJECTS) $(testkhtml_LDADD) $(LIBS)
testkhtml_static$(EXEEXT): $(testkhtml_static_OBJECTS) $(testkhtml_static_DEPENDENCIES) 
	@rm -f testkhtml_static$(EXEEXT)
	$(CXXLINK) $(testkhtml_static_LDFLAGS) $(testkhtml_static_OBJECTS) $(testkhtml_static_LDADD) $(LIBS)
testrender$(EXEEXT): $(testrender_OBJECTS) $(testrender_DEPENDENCIES) 
	@rm -f testrender$(EXEEXT)
	$(CXXLINK) $(testrender_LDFLAGS) $(testrender_OBJECTS) $(testrender_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/domtreeview.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_events.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_ext.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_factory.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_iface.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_pagecache.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_part.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_printsettings.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_run.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtml_settings.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtmlimage.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/khtmlview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_regression.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testcss.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testkhtml.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testrender.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cc.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cc.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cc.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
rcDATA_INSTALL = $(INSTALL_DATA)
install-rcDATA: $(rc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(rcdir)
	@list='$(rc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(rcDATA_INSTALL) $$d$$p $(DESTDIR)$(rcdir)/$$f"; \
	  $(rcDATA_INSTALL) $$d$$p $(DESTDIR)$(rcdir)/$$f; \
	done

uninstall-rcDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(rc_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(rcdir)/$$f"; \
	  rm -f $(DESTDIR)$(rcdir)/$$f; \
	done
serviceDATA_INSTALL = $(INSTALL_DATA)
install-serviceDATA: $(service_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(servicedir)
	@list='$(service_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(serviceDATA_INSTALL) $$d$$p $(DESTDIR)$(servicedir)/$$f"; \
	  $(serviceDATA_INSTALL) $$d$$p $(DESTDIR)$(servicedir)/$$f; \
	done

uninstall-serviceDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(service_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(servicedir)/$$f"; \
	  rm -f $(DESTDIR)$(servicedir)/$$f; \
	done
includeHEADERS_INSTALL = $(INSTALL_HEADER)
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f"; \
	  $(includeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(includedir)/$$f; \
	done

uninstall-includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(include_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(includedir)/$$f"; \
	  rm -f $(DESTDIR)$(includedir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=khtml_factory.h khtml.desktop khtmlimage.desktop TODO-3.1 SECURITY khtml.rc domtreeview.h DESIGN.html htmlpageinfo.ui khtml_iface.h configure.in.in khtml_run.h khtml_popupmenu.rc khtml_browser.rc 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	$(mkinstalldirs) $(distdir)/./../admin
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir) $(DESTDIR)$(libdir) $(DESTDIR)$(rcdir) $(DESTDIR)$(servicedir) $(DESTDIR)$(includedir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-checkPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
#>- 	clean-libLTLIBRARIES clean-libtool mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-ui clean-closures clean-final  clean-checkPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
	clean-libLTLIBRARIES clean-libtool mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

#>- install-data-am: install-data-local install-includeHEADERS \
#>- 	install-kde_moduleLTLIBRARIES install-rcDATA \
#>- 	install-serviceDATA
#>+ 3
install-data-am:   install-data-local install-includeHEADERS \
 install-rcDATA \
	install-serviceDATA

#>- install-exec-am: install-libLTLIBRARIES
#>+ 1
install-exec-am:  install-libLTLIBRARIES install-kde_moduleLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-includeHEADERS uninstall-info-am \
	uninstall-kde_moduleLTLIBRARIES uninstall-libLTLIBRARIES \
	uninstall-local uninstall-rcDATA uninstall-serviceDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-checkPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
	clean-libLTLIBRARIES clean-libtool clean-recursive ctags \
	ctags-recursive distclean distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-data install-data-am \
	install-data-local install-data-recursive install-exec \
	install-exec-am install-exec-recursive install-includeHEADERS \
	install-info install-info-am install-info-recursive \
	install-kde_moduleLTLIBRARIES install-libLTLIBRARIES \
	install-man install-rcDATA install-recursive \
	install-serviceDATA install-strip installcheck installcheck-am \
	installdirs installdirs-am installdirs-recursive \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
	tags-recursive uninstall uninstall-am uninstall-includeHEADERS \
	uninstall-info-am uninstall-info-recursive \
	uninstall-kde_moduleLTLIBRARIES uninstall-libLTLIBRARIES \
	uninstall-local uninstall-rcDATA uninstall-recursive \
	uninstall-serviceDATA


srcdoc:
	$(mkinstalldirs) $(SRCDOC_DEST)
	kdoc -H -d $(SRCDOC_DEST) kdecore \
	         $(include_HEADERS) -lqt

parser:
	cd $(srcdir) && \
	perl scripts/makeattrs && \
	bash scripts/maketags && \
	bash scripts/makeprop
apidox-am-yes:
	@if test "$(subdir)" != "."; then \
		$(mkinstalldirs) $(top_builddir)/apidocs/$(subdir) ;\
		if test ! -x $(top_builddir)/apidocs/common; then \
			if test -d $(top_srcdir)/doc/common; then \
			   common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
			else \
	   		   common_dir=$(kde_libs_htmldir)/en/common ;\
			fi ;\
			$(LN_S) $$common_dir $(top_builddir)/apidocs/common; \
		fi ;\
		cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
		echo "PROJECT_NAME           = \"$(subdir) Library\"" >> Doxyfile; \
		echo "PROJECT_NUMBER         = \"Version $(VERSION)\"" >> Doxyfile; \
		echo "INPUT                  = $(srcdir)" >> Doxyfile; \
		echo "IMAGE_PATH             = $(top_srcdir)/doc/api" >> Doxyfile ;\
		echo "OUTPUT_DIRECTORY       = $(top_builddir)/apidocs" >> Doxyfile; \
		echo "HTML_OUTPUT            = $(subdir)/html" >> Doxyfile; \
		echo "LATEX_OUTPUT           = $(subdir)/latex" >> Doxyfile; \
		echo "RTF_OUTPUT             = $(subdir)/rtf" >> Doxyfile; \
		echo "MAN_OUTPUT             = $(subdir)/man" >> Doxyfile; \
		echo "GENERATE_HTML          = $(GENERATE_FLAG)" >> Doxyfile ;\
		echo "GENERATE_MAN          = $(GENERATE_FLAG)" >> Doxyfile ;\
		echo "GENERATE_LATEX          = $(GENERATE_FLAG)" >> Doxyfile ;\
		if test -n "$(DOXYGEN_EXCLUDE)"; then \
			echo "EXCLUDE_PATTERNS      += $(DOXYGEN_EXCLUDE)" >> Doxyfile; \
		fi ;\
		echo "TAGFILES = \\" >> Doxyfile; \
		tags='$(DOXYGEN_REFERENCES) qt'; for tag in $$tags; do \
			tagpath= ;\
			path="../../$$tag" ;\
			if test -f $(top_builddir)/apidocs/$$tag/$$tag.tag; then \
				tagpath="$(top_builddir)/apidocs/$$tag/$$tag.tag" ;\
			else \
				tagpath=`ls -1 $(kde_htmldir)/en/*-apidocs/$$tag/$$tag.tag 2> /dev/null` ;\
				if test -n "$$tagpath"; then \
					path=`echo $$tagpath | sed -e "s,.*/\([^/]*-apidocs\)/$$tag/$$tag.tag,../../../\1/$$tag,"` ;\
				fi ;\
			fi ;\
			if test "$$tag" = qt; then \
				echo $$tagpath=$(QTDOCDIR) >> Doxyfile ;\
			else if test -n "$$tagpath"; then \
				echo "$$tagpath=$$path/html \\" >> Doxyfile ;\
			    fi ;\
			fi ;\
		done ;\
		echo "GENERATE_TAGFILE       = $(top_builddir)/apidocs/$(subdir)/$(subdir).tag" >> Doxyfile ;\
		echo "IGNORE_PREFIX          = K" >> Doxyfile ;\
		echo "HAVE_DOT = $(KDE_HAVE_DOT)" >> Doxyfile ;\
		$(DOXYGEN) Doxyfile ;\
	fi

apidox-am-no:

install-data-local: install-apidox

install-apidox:
	@if test "$(subdir)" != "."; then \
		$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html ; \
		if test -f $(top_builddir)/apidocs/$(subdir)/$(subdir).tag; then \
		echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		$(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/$(subdir).tag $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		fi; \
		if test -d $(top_builddir)/apidocs/$(subdir)/html; then \
			list=`ls $(top_builddir)/apidocs/$(subdir)/html`; \
			for file in $$list; do \
				echo $(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
					$(INSTALL_DATA) $(top_builddir)/apidocs/$(subdir)/html/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir)/html; \
		done; \
		fi; \
		rm -f $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
		$(LN_S) $(kde_libs_htmldir)/en/common $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/common; \
	else\
		if test -d $(top_builddir)/apidocs; then \
		$(mkinstalldirs) $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs ;\
		list=`cd $(top_builddir)/apidocs && ls -1`; \
		for file in $$list; do \
			if test -f $(top_builddir)/apidocs/$$file; then \
				echo $(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
				$(INSTALL_DATA) $(top_builddir)/apidocs/$$file $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
			fi; \
		done ; fi; \
	fi

uninstall-local: uninstall-apidox

uninstall-apidox:
	@if test "$(subdir)" != "."; then \
		if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); then \
			rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs/$(subdir); \
		fi\
	else\
		if test -d $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; then \
			rm -rfv $(DESTDIR)$(kde_htmldir)/en/$(PACKAGE)-apidocs; \
		fi\
	fi

apidox:
	@if test "$(subdir)" != "."; then \
		$(MAKE) apidox-am-@KDE_HAS_DOXYGEN@ ;\
	else \
		$(MAKE) apidox-am-toplevel-@KDE_HAS_DOXYGEN@ ;\
	fi
	@set fnord $(MAKEFLAGS); amf=$$2; if test -n '$(SUBDIRS)'; then \
	    list='$(SUBDIRS)'; \
	    for subdir in $$list; do \
		if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=no apidox) || exit 1; \
		fi ; fi ;\
	    done; \
	    for subdir in $$list; do \
		if grep '^include .*Doxyfile.am' $(srcdir)/$$subdir/Makefile.am; then \
		echo "Making apidox in $$subdir"; \
		if test "$$subdir" != "."; then \
			(cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) GENERATE_FLAG=yes apidox) || exit 1; \
		fi ; fi ;\
	    done; \
	fi

apidox-am-toplevel-no:
apidox-am-toplevel-yes:
	@echo "*** Creating API documentation main page"; \
	cp $(top_srcdir)/admin/Doxyfile.global Doxyfile; \
	echo "PROJECT_NAME           = $(DOXYGEN_PROJECT_NAME)" >> Doxyfile ; \
	echo "PROJECT_NUMBER         = $(DOXYGEN_PROJECT_NUMBER)" >> Doxyfile ; \
	echo "INPUT                  = $(top_srcdir)" >> Doxyfile ; \
	echo "OUTPUT_DIRECTORY       = $(top_builddir)/apidocs" >> Doxyfile ; \
	echo "FILE_PATTERNS          = *.dox" >> Doxyfile ; \
	echo "RECURSIVE              = NO" >> Doxyfile ; \
	echo "SOURCE_BROWSER         = NO" >> Doxyfile ; \
	echo "ALPHABETICAL_INDEX     = NO" >> Doxyfile ; \
	echo "HTML_OUTPUT            = ." >> Doxyfile ; \
	echo "HTML_HEADER            = apidocs/common/mainheader.html" >> Doxyfile ; \
	echo "HTML_FOOTER            = apidocs/common/mainfooter.html" >> Doxyfile ; \
	echo "HTML_STYLESHEET        = apidocs/common/doxygen.css" >> Doxyfile ; \
	echo "GENERATE_LATEX         = NO" >> Doxyfile ; \
	echo "GENERATE_RTF           = NO" >> Doxyfile ; \
	echo "GENERATE_MAN           = NO" >> Doxyfile ; \
	echo "GENERATE_XML           = NO" >> Doxyfile ; \
	echo "GENERATE_AUTOGEN_DEF   = NO" >> Doxyfile ; \
	echo "ENABLE_PREPROCESSING   = NO" >> Doxyfile ; \
	echo "CLASS_DIAGRAMS         = NO" >> Doxyfile ; \
	echo "HAVE_DOT               = NO" >> Doxyfile ; \
	echo "GENERATE_HTML          = YES" >> Doxyfile ;\
	$(mkinstalldirs) $(top_builddir)/apidocs ; \
	rm -f $(top_builddir)/apidocs/common ; \
	if test -d $(top_srcdir)/doc/common; then \
	   common_dir=`cd $(top_srcdir)/doc/common && pwd` ;\
	else \
	   common_dir=$(kde_libs_htmldir)/en/common ;\
	fi ;\
	$(LN_S) $$common_dir $(top_builddir)/apidocs/common ;\
	doxygen Doxyfile; \
	rm -f Doxyfile

# Local Variables:
# mode: makefile
# End:
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
khtmlimagepart.la.closure: $(khtmlimagepart_la_OBJECTS) $(khtmlimagepart_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > khtmlimagepart_la_closure.cc
	@$(LTCXXCOMPILE) -c khtmlimagepart_la_closure.cc
	$(CXXLINK) khtmlimagepart_la_closure.lo $(khtmlimagepart_la_LDFLAGS) $(khtmlimagepart_la_OBJECTS) $(khtmlimagepart_la_LIBADD) $(LIBS)
	@rm -f khtmlimagepart_la_closure.* khtmlimagepart.la.closure
	@echo "timestamp" > khtmlimagepart.la.closure


#>+ 5
khtml_iface.kidl: $(srcdir)/khtml_iface.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/khtml_iface.h > khtml_iface.kidl || ( rm -f khtml_iface.kidl ; false )
khtml_iface_skel.cc: khtml_iface.kidl
	$(DCOPIDL2CPP) --c++-suffix cc --no-signals --no-stub khtml_iface.kidl

#>+ 8
libkhtml.la.closure: $(libkhtml_la_OBJECTS) $(libkhtml_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkhtml_la_closure.cc
	@$(LTCXXCOMPILE) -c libkhtml_la_closure.cc
	$(CXXLINK) libkhtml_la_closure.lo $(libkhtml_la_LDFLAGS) $(libkhtml_la_OBJECTS) $(libkhtml_la_LIBADD) $(LIBS)
	@rm -f libkhtml_la_closure.* libkhtml.la.closure
	@echo "timestamp" > libkhtml.la.closure


#>+ 14
htmlpageinfo.cc: $(srcdir)/htmlpageinfo.ui htmlpageinfo.h htmlpageinfo.moc
	rm -f htmlpageinfo.cc
	echo '#include <klocale.h>' > htmlpageinfo.cc
	$(UIC) -tr ${UIC_TR} -i htmlpageinfo.h $(srcdir)/htmlpageinfo.ui > htmlpageinfo.cc.temp ; ret=$$?; \
	sed -e "s,${UIC_TR}( \"\" ),QString::null,g" htmlpageinfo.cc.temp | sed -e "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | sed -e "s,image\([0-9][0-9]*\)_data,img\1_htmlpageinfo,g" >> htmlpageinfo.cc ;\
	rm -f htmlpageinfo.cc.temp ;\
	if test "$$ret" = 0; then echo '#include "htmlpageinfo.moc"' >> htmlpageinfo.cc; else rm -f htmlpageinfo.cc ; exit $$ret ; fi

htmlpageinfo.h: $(srcdir)/htmlpageinfo.ui
	$(UIC) -o htmlpageinfo.h $(srcdir)/htmlpageinfo.ui

htmlpageinfo.moc: htmlpageinfo.h
	$(MOC) htmlpageinfo.h -o htmlpageinfo.moc

#>+ 3
testkhtml.moc: $(srcdir)/testkhtml.h
	$(MOC) $(srcdir)/testkhtml.h -o testkhtml.moc

#>+ 1
mocs: testkhtml.moc
#>+ 3
khtml_run.moc: $(srcdir)/khtml_run.h
	$(MOC) $(srcdir)/khtml_run.h -o khtml_run.moc

#>+ 1
mocs: khtml_run.moc
#>+ 3
testrender.moc: $(srcdir)/testrender.h
	$(MOC) $(srcdir)/testrender.h -o testrender.moc

#>+ 1
mocs: testrender.moc
#>+ 3
domtreeview.moc: $(srcdir)/domtreeview.h
	$(MOC) $(srcdir)/domtreeview.h -o domtreeview.moc

#>+ 1
mocs: domtreeview.moc
#>+ 3
khtml_ext.moc: $(srcdir)/khtml_ext.h
	$(MOC) $(srcdir)/khtml_ext.h -o khtml_ext.moc

#>+ 1
mocs: khtml_ext.moc
#>+ 3
khtmlview.moc: $(srcdir)/khtmlview.h
	$(MOC) $(srcdir)/khtmlview.h -o khtmlview.moc

#>+ 1
mocs: khtmlview.moc
#>+ 3
khtmlimage.moc: $(srcdir)/khtmlimage.h
	$(MOC) $(srcdir)/khtmlimage.h -o khtmlimage.moc

#>+ 1
mocs: khtmlimage.moc
#>+ 3
khtml_pagecache.moc: $(srcdir)/khtml_pagecache.h
	$(MOC) $(srcdir)/khtml_pagecache.h -o khtml_pagecache.moc

#>+ 1
mocs: khtml_pagecache.moc
#>+ 3
test_regression.moc: $(srcdir)/test_regression.h
	$(MOC) $(srcdir)/test_regression.h -o test_regression.moc

#>+ 1
mocs: test_regression.moc
#>+ 3
khtml_printsettings.moc: $(srcdir)/khtml_printsettings.h
	$(MOC) $(srcdir)/khtml_printsettings.h -o khtml_printsettings.moc

#>+ 1
mocs: khtml_printsettings.moc
#>+ 3
khtml_factory.moc: $(srcdir)/khtml_factory.h
	$(MOC) $(srcdir)/khtml_factory.h -o khtml_factory.moc

#>+ 1
mocs: khtml_factory.moc
#>+ 3
khtml_part.moc: $(srcdir)/khtml_part.h
	$(MOC) $(srcdir)/khtml_part.h -o khtml_part.moc

#>+ 1
mocs: khtml_part.moc
#>+ 3
clean-metasources:
	-rm -f  testkhtml.moc khtml_run.moc testrender.moc domtreeview.moc khtml_ext.moc khtmlview.moc khtmlimage.moc khtml_pagecache.moc test_regression.moc khtml_printsettings.moc khtml_factory.moc khtml_part.moc

#>+ 4
clean-idl:
	-rm -f \
	khtml_iface_skel.cc khtml_iface_skel.h khtml_iface.kidl 

#>+ 4
clean-ui:
	-rm -f \
	htmlpageinfo.cc htmlpageinfo.h htmlpageinfo.moc 

#>+ 3
clean-closures:
	-rm -f  khtmlimagepart.la.closure libkhtml.la.closure

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  khtml/Makefile
	cd $(top_srcdir) && perl admin/am_edit khtml/Makefile.in


#>+ 11
libkhtml_la.all_cc.cc: $(srcdir)/Makefile.in $(srcdir)/khtml_settings.cc $(srcdir)/khtml_iface.cc khtml_iface_skel.cc htmlpageinfo.cc  khtml_run.moc khtml_ext.moc khtml_pagecache.moc khtml_printsettings.moc khtml_factory.moc khtmlview.moc khtml_part.moc
	@echo 'creating libkhtml_la.all_cc.cc ...'; \
	rm -f libkhtml_la.all_cc.files libkhtml_la.all_cc.final; \
	echo "#define KDE_USE_FINAL 1" >> libkhtml_la.all_cc.final; \
	for file in khtml_settings.cc khtml_iface.cc khtml_iface_skel.cc htmlpageinfo.cc ; do \
	  echo "#include \"$$file\"" >> libkhtml_la.all_cc.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkhtml_la.all_cc.final; \
	done; \
	cat libkhtml_la.all_cc.final libkhtml_la.all_cc.files > libkhtml_la.all_cc.cc; \
	rm -f libkhtml_la.all_cc.final libkhtml_la.all_cc.files

#>+ 11
libkhtml_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/khtmlview.cpp $(srcdir)/khtml_part.cpp $(srcdir)/khtml_run.cpp $(srcdir)/khtml_factory.cpp $(srcdir)/khtml_events.cpp $(srcdir)/khtml_ext.cpp $(srcdir)/khtml_pagecache.cpp $(srcdir)/khtml_printsettings.cpp  khtml_run.moc khtml_ext.moc khtml_pagecache.moc khtml_printsettings.moc khtml_factory.moc khtmlview.moc khtml_part.moc
	@echo 'creating libkhtml_la.all_cpp.cpp ...'; \
	rm -f libkhtml_la.all_cpp.files libkhtml_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkhtml_la.all_cpp.final; \
	for file in khtmlview.cpp khtml_part.cpp khtml_run.cpp khtml_factory.cpp khtml_events.cpp khtml_ext.cpp khtml_pagecache.cpp khtml_printsettings.cpp ; do \
	  echo "#include \"$$file\"" >> libkhtml_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkhtml_la.all_cpp.final; \
	done; \
	cat libkhtml_la.all_cpp.final libkhtml_la.all_cpp.files > libkhtml_la.all_cpp.cpp; \
	rm -f libkhtml_la.all_cpp.final libkhtml_la.all_cpp.files

#>+ 11
testkhtml.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/testkhtml.cpp $(srcdir)/domtreeview.cpp  testkhtml.moc domtreeview.moc
	@echo 'creating testkhtml.all_cpp.cpp ...'; \
	rm -f testkhtml.all_cpp.files testkhtml.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> testkhtml.all_cpp.final; \
	for file in testkhtml.cpp domtreeview.cpp ; do \
	  echo "#include \"$$file\"" >> testkhtml.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> testkhtml.all_cpp.final; \
	done; \
	cat testkhtml.all_cpp.final testkhtml.all_cpp.files > testkhtml.all_cpp.cpp; \
	rm -f testkhtml.all_cpp.final testkhtml.all_cpp.files

#>+ 11
testkhtml_static.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/testkhtml.cpp $(srcdir)/domtreeview.cpp  testkhtml.moc domtreeview.moc
	@echo 'creating testkhtml_static.all_cpp.cpp ...'; \
	rm -f testkhtml_static.all_cpp.files testkhtml_static.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> testkhtml_static.all_cpp.final; \
	for file in testkhtml.cpp domtreeview.cpp ; do \
	  echo "#include \"$$file\"" >> testkhtml_static.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> testkhtml_static.all_cpp.final; \
	done; \
	cat testkhtml_static.all_cpp.final testkhtml_static.all_cpp.files > testkhtml_static.all_cpp.cpp; \
	rm -f testkhtml_static.all_cpp.final testkhtml_static.all_cpp.files

#>+ 3
clean-final:
	-rm -f libkhtml_la.all_cc.cc libkhtml_la.all_cpp.cpp testkhtml.all_cpp.cpp testkhtml_static.all_cpp.cpp

#>+ 2
final:
	$(MAKE) libkhtml_la_OBJECTS="$(libkhtml_la_final_OBJECTS)" testkhtml_OBJECTS="$(testkhtml_final_OBJECTS)" testkhtml_static_OBJECTS="$(testkhtml_static_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) libkhtml_la_OBJECTS="$(libkhtml_la_final_OBJECTS)" testkhtml_OBJECTS="$(testkhtml_final_OBJECTS)" testkhtml_static_OBJECTS="$(testkhtml_static_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) libkhtml_la_OBJECTS="$(libkhtml_la_nofinal_OBJECTS)" testkhtml_OBJECTS="$(testkhtml_nofinal_OBJECTS)" testkhtml_static_OBJECTS="$(testkhtml_static_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) libkhtml_la_OBJECTS="$(libkhtml_la_nofinal_OBJECTS)" testkhtml_OBJECTS="$(testkhtml_nofinal_OBJECTS)" testkhtml_static_OBJECTS="$(testkhtml_static_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 35
$(srcdir)/khtml_printsettings.cpp: htmlpageinfo.h 
$(srcdir)/khtml_factory.cpp: htmlpageinfo.h 
test_regression.lo: test_regression.moc 
khtml_pagecache.lo: khtml_pagecache.moc 
$(srcdir)/khtml_run.cpp: htmlpageinfo.h 
$(srcdir)/khtml_ext.cpp: htmlpageinfo.h 
khtml_run.lo: khtml_run.moc 
test_regression.o: test_regression.moc 
khtmlview.lo: khtmlview.moc 
khtml_printsettings.lo: khtml_printsettings.moc 
khtml_ext.lo: khtml_ext.moc 
khtml_factory.lo: khtml_factory.moc 
khtml_printsettings.o: khtml_printsettings.moc 
$(srcdir)/khtml_events.cpp: htmlpageinfo.h 
domtreeview.lo: domtreeview.moc 
khtml_run.o: khtml_run.moc 
$(srcdir)/khtml_iface.cc: htmlpageinfo.h 
$(srcdir)/khtml_part.cpp: htmlpageinfo.h 
khtmlview.o: khtmlview.moc 
$(srcdir)/khtml_settings.cc: htmlpageinfo.h 
$(srcdir)/khtmlview.cpp: htmlpageinfo.h 
khtml_ext.o: khtml_ext.moc 
khtml_factory.o: khtml_factory.moc 
domtreeview.o: domtreeview.moc 
khtml_pagecache.o: khtml_pagecache.moc 
$(srcdir)/khtml_pagecache.cpp: htmlpageinfo.h 
khtmlimage.o: khtmlimage.moc 
testrender.lo: testrender.moc 
testkhtml.o: testkhtml.moc 
khtml_part.lo: khtml_part.moc 
khtmlimage.lo: khtmlimage.moc 
testkhtml.lo: testkhtml.moc 
khtml_part.o: khtml_part.moc 
testrender.o: testrender.moc 
